/*
 * Filesystem opening functions.
 *
 * Copyright (C) 2021 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#ifndef __FS_H__
#define __FS_H__

#include <ext2fs/ext2fs.h>



#ifdef __cplusplus
extern "C" {
#endif

void e2access_init(const char *cap);
errcode_t e2access_open(const char *filename, int flags, ext2_filsys *fs);

#ifdef __cplusplus
}
#endif


#endif /* __FS_H__ */
